DEFINITION MODULE convio;

FROM KERnad IMPORT
	integer16, cardinal16, cardinal32;


EXPORT QUALIFIED
	puti, putc, putc32,
	geti, getc, getc32;

PROCEDURE puti (
	x, base:	(*UNIV*) integer16
);

PROCEDURE putc32 (
	x:		(*UNIV*) cardinal32;
	base:		cardinal16
);

PROCEDURE putc (
	x:		(*UNIV*) cardinal16;
	base:		(*UNIV*) integer16
);

PROCEDURE geti():		integer16;

PROCEDURE getc32 (
	VAR x:		(*UNIV*) cardinal32
);

PROCEDURE getc():		cardinal16;

END convio.
